RedBoot User's Guide
Prev |  | Next

# dump

## Name

dump -- Display memory.

## Synopsis

dump {-b `location`} [-l `length`] [-s] [-1 | -2 | -4]

## Arguments

Name | Type | Description | Default
--- | --- | --- | ---
-b `location` | Memory address | Location in memory for start of data. | none
-l `length` | Number | Length of data | 32
-s | Boolean | Format data using Motorola S-records. |
-1 |  | Access one byte (8 bits) at a time. Only the least significant 8 bits of the pattern will be used. | -1
-2 |  | Access two bytes (16 bits) at a time. Only the least significant 16 bits of the pattern will be used. | -1
-4 |  | Access one word (32 bits) at a time. | -1

## Description

Display a range of memory on the system console.

The x is a synonym for dump.

Note that this command could be detrimental if used on memory mapped hardware registers.

The memory is displayed at most sixteen bytes per line, first as the raw hex value, followed by an ASCII interpretation of the data.

## Examples

Display a buffer, one byte at a time.

    RedBoot> mfill -b 0x100000 -l 0x20 -p 0xDEADFACE
    RedBoot> x -b 0x100000
    00100000: CE FA AD DE CE FA AD DE  CE FA AD DE CE FA AD DE  |................|
    00100010: CE FA AD DE CE FA AD DE  CE FA AD DE CE FA AD DE  |................|

Display a buffer, one short (16 bit) word at a time. Note in this case that the ASCII interpretation is suppressed.

    RedBoot> dump -b 0x100000 -2
    00100000: FACE DEAD FACE DEAD  FACE DEAD FACE DEAD
    00100010: FACE DEAD FACE DEAD  FACE DEAD FACE DEAD

Display a buffer, one word (32 bit) word at a time. Note in this case that the ASCII interpretation is suppressed.

    RedBoot> dump -b 0x100000 -4
    00100000: DEADFACE DEADFACE DEADFACE DEADFACE
    00100010: DEADFACE DEADFACE DEADFACE DEADFACE

Display the same buffer, using Motorola S-record format.

    RedBoot> dump -b 0x100000 -s
    S31500100000CEFAADDECEFAADDECEFAADDECEFAADDE8E
    S31500100010CEFAADDECEFAADDECEFAADDECEFAADDE7E

Display a buffer, with visible ASCII strings.

    RedBoot> d -b 0xfe00b000 -l 0x80
    0xFE00B000: 20 25 70 0A 00 00 00 00  41 74 74 65 6D 70 74 20 | %p.....Attempt |
    0xFE00B010: 74 6F 20 6C 6F 61 64 20  53 2D 72 65 63 6F 72 64 |to load S-record|
    0xFE00B020: 20 64 61 74 61 20 74 6F  20 61 64 64 72 65 73 73 | data to address|
    0xFE00B030: 3A 20 25 70 20 5B 6E 6F  74 20 69 6E 20 52 41 4D |: %p [not in RAM|
    0xFE00B040: 5D 0A 00 00 2A 2A 2A 20  57 61 72 6E 69 6E 67 21 |]...*** Warning!|
    0xFE00B050: 20 43 68 65 63 6B 73 75  6D 20 66 61 69 6C 75 72 | Checksum failur|
    0xFE00B060: 65 20 2D 20 41 64 64 72  3A 20 25 6C 78 2C 20 25 |e - Addr: %lx, %|
    0xFE00B070: 30 32 6C 58 20 3C 3E 20  25 30 32 6C 58 0A 00 00 |02lX <> %02lX...|
    0xFE00B080: 45 6E 74 72 79 20 70 6F  69 6E 74 3A 20 25 70 2C |Entry point: %p,|

Prev | Home | Next
disks | Up | help